#include <iostream>
using namespace std;
int main(){
    int n,masiv[100001],br,obshto=0;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>masiv[i];
    }
    for(int i=0;i<n;i++){
        for(int j=0;j<i;j++){
                br=0;
            for(int k=j+1;k<i;k++){
                if(!((masiv[k-1]<masiv[k] && masiv[k]>masiv[k+1]) || (masiv[k-1]>masiv[k] && masiv[k]<masiv[k+1]))){
                    br++;
                }
            }
            if(br==i-1-j){
                obshto+=2;
            }
        }
    }
    cout<<obshto<<endl;
    return 0;
}
